# oslo.config Command Line Tools

- oslo-config-generator
  - Usage
  - Defining Option Discovery Entry Points
  - Modifying Defaults from Other Namespaces
  - Generating Machine Readable Configs
  - Generating Multiple Sample Configs
  - Sample Default Values
- oslo-config-validator
  - Usage
  - Sample Config Generator Configuration
  - Machine-Readable Sample Config
  - Comparing configuration with the default configuration
  - Handling Dynamic Groups

this page last updated: 2026-01-28 20:28:15

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug